Bug 132528 - [patch] www/apache22 no-accf fix
Summary: [patch] www/apache22 no-accf fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-11 09:10 UTC by Bjoern A. Zeeb
Modified: 2009-06-12 01:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.77 KB, patch)
2009-03-11 09:10 UTC, Bjoern A. Zeeb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb 2009-03-11 09:10:02 UTC
	When configuring an apache22 with virtual hosts
	even though apache22 is staretd with
	  apache22_http_accept_enable="NO"
	and thus -DNOHTTPACCEPT  it still complains that
	
	[warn] (2)No such file or directory: Failed to enable the 'httpready' Accept Filter
	[warn] (2)No such file or directory: Failed to enable the 'httpready' Accept Filter
	[warn] (2)No such file or directory: Failed to enable the 'httpready' Accept Filter
	[warn] (2)No such file or directory: Failed to enable the 'httpready' Accept Filter

Fix: To be able to configure
		AcceptFilter http none
		AcceptFilter https none
	and make it work like local/etc/apache22/Includes/no-accf.conf
	does along with virtual hosts, etc. use the following
	patch (below).

	You can alos temporarily fetch it from:
	http://people.freebsd.org/~bz/www-apache22-accf-fix.diff

	Adds the new file files/patch-server__core.c .


	If it proves to be correct and working for everyone
	I'd like to submit it upstream.

How-To-Repeat: 	
	Configure apache22 with virtual hosts, make sure you do
	not have the accf_* modules loaded and start apache22
	with apache22_http_accept_enable="NO".

	Best observed inside jails where loading the modules is
	not possible either.

	PS: I am not sure if there isn't a bug in the apache22
	startup script related to return codes from
	apache22_accf() and how sh(1) interprets them.
	Especially if you cannot load the accf module,
	noone would set -DNOHTTPACCEPT?
Comment 1 Edwin Groothuis freebsd_committer 2009-03-11 09:10:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2009-04-10 07:42:26 UTC
Thoughts on this accf ... I believe its BSD (FreeBSD) specifc.

Thanks.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (pgollucci@p6m7g8.com)
c:703.336.9354
Consultant - P6M7G8 Inc. - http://p6m7g8.net
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 Philip M. Gollucci freebsd_committer 2009-06-10 07:18:37 UTC
Responsible Changed
From-To: apache->pgollucci

this can go in the next round
Comment 4 Philip M. Gollucci freebsd_committer 2009-06-12 01:34:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!